package com.fp.frontend.controller.armas.eval;

import java.util.List;

import com.fp.persistence.parmas.eval.TarmPreguntas;
import com.fp.persistence.parmas.eval.TarmRespuestas;

/**
 * Objeto que encapsula las preguntas y las respuestas
 *
 * @author Andres Cevallos
 *
 */
public class Evaluacion {

    /**
     * Instancia de TarmPreguntas
     */
    private TarmPreguntas pregunta;
    /**
     * Lista de Respuestas asociadas a la pregunta
     */
    private List<TarmRespuestas> respuesta;
    /**
     * Codigo de respuesta seleccionada
     */

    private Integer codigorespuesta;
    /**
     * Respuesta seleccionada
     */
    private TarmRespuestas respues;

    public TarmPreguntas getPregunta() {
        return pregunta;
    }

    public void setPregunta(TarmPreguntas pregunta) {
        this.pregunta = pregunta;
    }

    public List<TarmRespuestas> getRespuesta() {
        return respuesta;
    }

    public void setRespuesta(List<TarmRespuestas> respuesta) {
        this.respuesta = respuesta;
    }

    public Integer getCodigorespuesta() {
        return codigorespuesta;
    }

    public void setCodigorespuesta(Integer codigorespuesta) {
        this.codigorespuesta = codigorespuesta;
    }

    public TarmRespuestas getRespues() {
        return respues;
    }

    public void setRespues(TarmRespuestas respues) {
        this.respues = respues;
    }

}
